## frozen-bubble 0.9.2

=== Makefile ===
DIRS = c_stuff

PREFIX = /usr/local


all: dirs

dirs:
	@for n in . $(DIRS); do \
		[ "$$n" = "." ] || $(MAKE) -C $$n ;\
	done
	rm -rf binaries_installpathok
	mkdir binaries_installpathok
	cp fb.pl frozen-bubble binaries_installpathok
	perl -pi -e 's|\@PREFIX\@|$(PREFIX)|' binaries_installpathok/*


install: $(ALL)
	@if [ ! -f SDL_mixer_patched/.libs/libSDL_mixer-1.2.so.0 ]; then \
		echo "*** I used a patched version of SDL_mixer which is not yet"; \
		echo "*** published as a stable version."; \
		echo "*** You need to cd to SDL_mixer_patched, './configure' (with"; \
		echo "*** optional relevant options), and 'make' there, and re-run"; \
		echo "*** 'make install' here."; \
		false; \
	fi
	@for n in $(DIRS); do \
		(cd $$n; $(MAKE) install) \
	done
	install -d $(PREFIX)/bin
	install binaries_installpathok/* $(PREFIX)/bin
	install -d $(PREFIX)/share/frozen-bubble
	cp -a gfx snd data highscores.default $(PREFIX)/share/frozen-bubble
	install -d $(PREFIX)/lib/frozen-bubble
	install SDL_mixer_patched/.libs/libSDL_mixer-1.2.so.0 $(PREFIX)/lib/frozen-bubble


clean: 
	@for n in $(DIRS); do \
		(cd $$n; $(MAKE) clean) \
	done
	rm -rf binaries_installpathok

=== c_stuff/Makefile ===
.PHONY: clean

fb_c_stuff: %: %.xs
	test -e Makefile_c || perl Makefile.PL
	$(MAKE) -f Makefile_c

install:
	test -e Makefile_c || perl Makefile.PL
	$(MAKE) -f Makefile_c install

clean:
	test ! -e Makefile_c || $(MAKE) -f Makefile_c clean
	rm -f *~ *.o

## frozen-bubble 1.0.0

=== gfx/shoot/Makefile ===
all:
	./create.pl base.png 40

## frozen-bubble 2.1.0

=== Makefile ===
include settings.mk

DIRS = c_stuff po server

all: prepare dirs

prepare:
	perl -ne "print \$$1 if m|\\\$$version = '(.*)';|" c_stuff/lib/fb_stuff.pm > VERSION

dirs:
	@if ! perl -e 'use SDL'; then echo -e "\n    *** I need perl-SDL installed"; false; fi
	@if ! perl -e 'use SDL; ($$mj, $$mn, $$mc) = split /\./, $$SDL::VERSION; exit 0 if $$mj > 1 || $$mn >= 19; exit 1'; then echo -e "\n    *** I need perl-SDL version 1.19.0 or upper"; false; fi
	@for n in . $(DIRS); do \
		[ "$$n" = "." ] || $(MAKE) -C $$n || exit $$? ;\
	done
	@if [ ! -d save_virgin ]; then mkdir save_virgin; cp c_stuff/lib/fb_stuff.pm save_virgin; fi
	cp -f save_virgin/fb_stuff.pm c_stuff/lib/fb_stuff.pm
	perl -pi -e 's|\@DATADIR\@|$(DATADIR)|' c_stuff/lib/fb_stuff.pm
	perl -pi -e 's|\@LIBDIR\@|$(LIBDIR)|' c_stuff/lib/fb_stuff.pm


install: $(ALL)
	@for n in $(DIRS); do \
		(cd $$n; $(MAKE) install) \
	done
	install -d $(DESTDIR)$(BINDIR)
	install frozen-bubble frozen-bubble-editor $(DESTDIR)$(BINDIR)
	install -d $(DESTDIR)$(DATADIR)/frozen-bubble
	cp -a gfx snd data $(DESTDIR)$(DATADIR)/frozen-bubble
	install -d $(DESTDIR)$(MANDIR)/man6
	install doc/*.6 $(DESTDIR)$(MANDIR)/man6

clean: 
	@for n in $(DIRS); do \
		(cd $$n; $(MAKE) clean) \
	done
	@if [ -d save_virgin ]; then cp -f save_virgin/fb_stuff.pm c_stuff/lib/fb_stuff.pm; rm -rf save_virgin; fi

=== c_stuff/Makefile ===
include ../settings.mk

.PHONY: clean

fb_c_stuff: %: %.xs
	test -e Makefile_c || perl Makefile.PL INSTALLDIRS=$(INSTALLDIRS)
	$(MAKE) -f Makefile_c

install:
	test -e Makefile_c || perl Makefile.PL INSTALLDIRS=$(INSTALLDIRS)
	$(MAKE) -f Makefile_c install

clean:
	test ! -e Makefile_c || $(MAKE) -f Makefile_c clean
	rm -f *~ *.o

=== po/Makefile ===
include ../settings.mk

PGOAL = frozen-bubble

# files to search translatable strings in
PL_FILES = ../frozen-bubble

POFILES = $(wildcard *.po)
MOFILES = $(POFILES:%.po=%.mo)

all: $(MOFILES)

$(PGOAL).pot: $(PL_FILES)
	rm -f $@
	xgettext --keyword=t --language=perl --default-domain=frozen-bubble --from-code=UTF-8 -o $@ $(PL_FILES)

merge: $(PGOAL).pot
	@for n in $(POFILES); do \
		echo "Merging $$n"; \
		msgmerge "$$n" $< > "$$n"t; \
		mv -f "$$n"t "$$n"; \
	done

%.mo: %.po
	msgfmt $< -o $@

install: $(MOFILES)
	install -d $(DESTDIR)$(LOCALEDIR)
	@for n in $(MOFILES); do \
		echo install $$n $(DESTDIR)$(LOCALEDIR)/`echo $$n | sed -e 's/.mo//'`/LC_MESSAGES/frozen-bubble.mo; \
		install -d $(DESTDIR)$(LOCALEDIR)/`echo $$n | sed -e 's/.mo//'`; \
		install -d $(DESTDIR)$(LOCALEDIR)/`echo $$n | sed -e 's/.mo//'`/LC_MESSAGES; \
		install -m 0644 $$n $(DESTDIR)$(LOCALEDIR)/`echo $$n | sed -e 's/.mo//'`/LC_MESSAGES/frozen-bubble.mo; \
	done

clean:
	@rm -rf $(PGOAL).pot *.mo

=== server/Makefile ===
include ../settings.mk

CFLAGS ?= -g -Wall -Werror -pipe
CPPFLAGS += -I. `pkg-config glib-2.0 --cflags` -DVERSION=\"$(shell cat ../VERSION)\"
LDLIBS = `pkg-config glib-2.0 --libs`

ALLSRC = fb-server.c log.c tools.c game.c net.c
ALLOBJ = $(subst .c,.o,$(ALLSRC))

ifeq (1, $(DEBUG))
CFLAGS := $(CFLAGS) $(ADDCFLAGS) -DDEBUG -g
else
CFLAGS := $(CFLAGS) $(ADDCFLAGS)
endif

all: .depend fb-server

fb-server: $(ALLOBJ)

clean: 
	rm -f fb-server *.o .depend

install:
	install -d $(DESTDIR)$(LIBDIR)/frozen-bubble
	install fb-server $(DESTDIR)$(LIBDIR)/frozen-bubble

.depend:
	$(CPP) $(CFLAGS) $(CPPFLAGS) -M $(ALLSRC) > .depend

ifeq (.depend,$(wildcard .depend))
include .depend
endif

## frozen-bubble 2.2.0

=== Makefile ===
--- 
+++ 
@@ -5,6 +5,12 @@
 all: prepare dirs
 
 prepare:
+	echo 'package fb_config;' > c_stuff/lib/fb_config.pm
+	echo 'use vars qw(@ISA @EXPORT $$FPATH $$FLPATH);' >> c_stuff/lib/fb_config.pm
+	echo '@ISA = qw(Exporter);' >> c_stuff/lib/fb_config.pm
+	echo '@EXPORT = qw($$FPATH $$FLPATH);' >> c_stuff/lib/fb_config.pm
+	echo '$$FPATH = "$(DATADIR)/frozen-bubble";' >> c_stuff/lib/fb_config.pm
+	echo '$$FLPATH = "$(LIBDIR)/frozen-bubble";' >> c_stuff/lib/fb_config.pm
 	perl -ne "print \$$1 if m|\\\$$version = '(.*)';|" c_stuff/lib/fb_stuff.pm > VERSION
 
 dirs:
@@ -13,10 +19,6 @@
 	@for n in . $(DIRS); do \
 		[ "$$n" = "." ] || $(MAKE) -C $$n || exit $$? ;\
 	done
-	@if [ ! -d save_virgin ]; then mkdir save_virgin; cp c_stuff/lib/fb_stuff.pm save_virgin; fi
-	cp -f save_virgin/fb_stuff.pm c_stuff/lib/fb_stuff.pm
-	perl -pi -e 's|\@DATADIR\@|$(DATADIR)|' c_stuff/lib/fb_stuff.pm
-	perl -pi -e 's|\@LIBDIR\@|$(LIBDIR)|' c_stuff/lib/fb_stuff.pm
 
 
 install: $(ALL)
@@ -34,5 +36,5 @@
 	@for n in $(DIRS); do \
 		(cd $$n; $(MAKE) clean) \
 	done
-	@if [ -d save_virgin ]; then cp -f save_virgin/fb_stuff.pm c_stuff/lib/fb_stuff.pm; rm -rf save_virgin; fi
+	@rm -f c_stuff/lib/fb_config.pm

=== c_stuff/Makefile ===
include ../settings.mk

.PHONY: clean install

all: fb_c_stuff

# there has GOT to be a better way
ifdef PREFIX
    PMO_PREFIX=PREFIX=$(PREFIX)
else
   PMO_PREFIX=
endif
ifdef INSTALLPRIVLIB
    PMO_INSTALLPRIVLIB=INSTALLPRIVLIB=$(INSTALLPRIVLIB)
else
   PMO_INSTALLPRIVLIB=
endif
ifdef INSTALLSCRIPT
    PMO_INSTALLSCRIPT=INSTALLSCRIPT=$(INSTALLSCRIPT)
else
   PMO_INSTALLSCRIPT=
endif
ifdef INSTALLSITELIB
    PMO_INSTALLSITELIB=INSTALLSITELIB=$(INSTALLSITELIB)
else
   PMO_INSTALLSITELIB=
endif
ifdef INSTALLSITEARCH
    PMO_INSTALLSITEARCH=INSTALLSITEARCH=$(INSTALLSITEARCH)
else
   PMO_INSTALLSITEARCH=
endif
ifdef INSTALLBIN
    PMO_INSTALLBIN=INSTALLBIN=$(INSTALLBIN)
else
   PMO_INSTALLBIN=
endif
ifdef INSTALLMAN1DIR
    PMO_INSTALLMAN1DIR=INSTALLMAN1DIR=$(INSTALLMAN1DIR)
else
   PMO_INSTALLMAN1DIR=
endif
ifdef INSTALLMAN3DIR
    PMO_INSTALLMAN3DIR=INSTALLMAN3DIR=$(INSTALLMAN3DIR)
else
   PMO_INSTALLMAN3DIR=
endif

PERL_MAKE_OPTS = $(PMO_PREFIX) $(PMO_INSTALLPRIVLIB) $(PMO_INSTALLSCRIPT) \
    $(PMO_INSTALLSITELIB) $(PMO_INSTALLSITEARCH) $(PMO_INSTALLBIN) \
    $(PMO_INSTALLMAN1DIR) $(PMO_INSTALLMAN3DIR)

Makefile_c: Makefile.PL
	perl Makefile.PL $(PERL_MAKE_OPTS) INSTALLDIRS=$(INSTALLDIRS)

fb_c_stuff: %: %.xs Makefile_c
	$(MAKE) -f Makefile_c

install:
	$(MAKE) -f Makefile_c install

clean:
	test ! -e Makefile_c || $(MAKE) -f Makefile_c clean
	rm -f *~ *.o Makefile_c.old

=== po/Makefile ===
--- 
+++ 
@@ -34,4 +34,4 @@
 	done
 
 clean:
-	@rm -rf $(PGOAL).pot *.mo
+	@rm -rf *.mo

=== server/Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 clean: 
 	rm -f fb-server *.o .depend
 
-install:
+install: fb-server
 	install -d $(DESTDIR)$(LIBDIR)/frozen-bubble
 	install fb-server $(DESTDIR)$(LIBDIR)/frozen-bubble

## frozen-bubble 2.2.0-1maemo2

=== debian/changelog ===
frozen-bubble (2.2.0-1maemo2) unstable; urgency=low

  * Optified Package

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Fri, 09 Apr 2010 00:41:43 +0200

frozen-bubble (2.2.0-1maemo1) unstable; urgency=low

  * New maintainer. Hi!
  * Remove dh_perl usage and explictly supply perl dependency.
  * debian/rules: hack to use Maemo's perl.
  * Do not install menu file.
  * Install desktop file to /usr/share/applications/hildon
  * Remove dh_desktop
  * Changed section to user/games
  * Added Maemo-Display-Name and Maemo-Icon-26
  * Add sharutils Build-Dep
  * Consolidate fb-music-low package into frozen-bubble-data package
  * Add Build-Dep on quilt
  * Modify debian/rules to run quilt
  * Add quilt patch to only install locales supported by Maemo
  * Install launcher script to /usr/bin
  * Add DBus service file.
  * Do not install xpm file.
  * Install icons to correct place
  * Add postinst to refresh gtk icon cache and show where desktop file should be placed (if new install)
  * Map keys to N800 equivs
  * Install data files to memory card (thanks Mikkov!)
  * Use VFP CFLAGS

 -- Faheem Pervez <trippin1@gmail.com>  Sat, 30 May 2009 10:46:07 +0100

frozen-bubble (2.2.0-1) unstable; urgency=low

  * New upstream pre-release.
  * Add dh_desktop call.
  * Standards version is 3.8.0.
  * Drop some translations that were merged upstream.

 -- Josselin Mouette <joss@debian.org>  Tue, 04 Nov 2008 14:10:13 +0100

frozen-bubble (2.1.0-2) unstable; urgency=low

  * Fix short description.
  * de.po: corrected German translation by Jens Seidel. Closes: #437348.
  * sk.po: corrected Slovak translation by helix84. Closes: #441625.
  * rules: stop ignoring errors in the clean target.
  * frozen-bubble.desktop: remove "Application" from categories.
  * frozen-bubble.menu: update to conform to the latest specification.

 -- Josselin Mouette <joss@debian.org>  Tue, 18 Sep 2007 18:28:16 +0200

frozen-bubble (2.1.0-1) unstable; urgency=high

  * New upstream release.
    + Can now enable chain reactions everywhere (closes: #398025).
  * High urgency was asked by upstream as 2.0.0 shouldn't remain
    distributed in the long term.
  * server/tools.c: a setuid patch was included upstream.
  * debian/fb-server.conf: change user to nobody.
  * rules: colourblind set is now correctly included.
  * control: don't build-depend on imagemagick anymore.

 -- Josselin Mouette <joss@debian.org>  Mon, 20 Nov 2006 21:09:36 +0100

frozen-bubble (2.0.0-3) unstable; urgency=high

  * Build-depend on imagemagick (closes: #398243).

 -- Josselin Mouette <joss@debian.org>  Mon, 13 Nov 2006 21:13:30 +0100

frozen-bubble (2.0.0-2) unstable; urgency=high

  * rules:
    + Create colourblind mini bubbles set (closes: #395836).
    + Specify localedir explicitly so that translations get installed.
    + Chmod them to 644.
  * frozen-bubble-data.install: install these translations.
  * build-depend on dpkg-dev 1.13.19 (closes: #396013).

 -- Josselin Mouette <joss@debian.org>  Fri, 10 Nov 2006 22:41:52 +0100

frozen-bubble (2.0.0-1) unstable; urgency=low

  * New upstream release.
    + Adds full joystick support (closes: #149936).
    + Adds multiplayer mode (closes: #145960).
    + Deactivates chain-reactions in single-player mode
      (closes: #366874).
  * Minor corrections to .desktop file (closes: #379874).
  * frozen-bubble.dirs: removed, unused.
  * debian/compat = 5.
  * Standards-version is 3.7.2.
  * fb-music-low conflicts with frozen-bubble < 2, because of one
    removed .xm file.
  * Use ${source:Version}.
  * frozen-bubble.xpm: updated with the new icon.
  * Don't install the upstream changelog, it was removed.
  * Build-depend on libsdl-pango-dev and libglib2.0-dev.
  * Update the .install files.
  * server/net.c: setuid to nobody.
  * Ship init script and configuration file example.

 -- Josselin Mouette <joss@debian.org>  Fri, 27 Oct 2006 00:27:14 +0200

frozen-bubble (1.0.0-6) unstable; urgency=low

  * c_stuff/lib/FBLE.pm: fix to deal with new SDL_perl (closes: #257749).

 -- Josselin Mouette <joss@debian.org>  Thu,  8 Jul 2004 17:22:16 +0200

frozen-bubble (1.0.0-5) unstable; urgency=low

  * frozen-bubble: patch from Samuel Hocevar to deal with new SDL_perl
    gracefully (closes: #251816).
  * debian/frozen-bubble.menu: quote correctly.
  * debian/control: standards version is 3.6.1, no changes required.
  * frozen-bubble.desktop: add categories.
  * frozen-bubble.install: install the .desktop in /usr/share/applications.
  * debian/{rules,*.install}: don't use --sourcedir for dh_install.

 -- Josselin Mouette <joss@debian.org>  Tue,  1 Jun 2004 21:40:38 +0200

frozen-bubble (1.0.0-4) unstable; urgency=low

  * Handle SDL_QUIT events in main menu (closes: #194589).
  * Standards-version is 3.5.10.
  * debian/control: correct descriptions according to suggestions of
    debian-l10n-english people.
  * debian/frozen-bubble.xpm: use 32x32 icon in truecolor.
  * Delete save_virgin in clean target.
  * Remove shlibs.local.

 -- Josselin Mouette <joss@debian.org>  Fri, 13 Jun 2003 14:45:12 +0200

frozen-bubble (1.0.0-3) unstable; urgency=low

  * debian/control: {build-,}depend on sdlperl 1.20.0-8.

 -- Josselin Mouette <joss@debian.org>  Tue,  6 May 2003 12:41:32 +0200

frozen-bubble (1.0.0-2) unstable; urgency=low

  * Updated build dependencies.
  * Standards-version is 3.5.9.
  * Corrected upstream URL (closes: #181477).

 -- Josselin Mouette <joss@debian.org>  Mon,  5 May 2003 16:17:50 +0200

frozen-bubble (1.0.0-1) unstable; urgency=low

  * The "sarge won't release in time" new upstream release.
  * Depend on sdlperl 1.19.
  * debian/rules: cleanup.
  * Remove .xvpics directories.

 -- Josselin Mouette <joss@debian.org>  Mon, 17 Feb 2003 10:47:36 +0100

frozen-bubble (0.9.9+1-3) unstable; urgency=low

  * New chainreactions handling.

 -- Josselin Mouette <joss@debian.org>  Mon,  3 Feb 2003 21:56:21 +0100

frozen-bubble (0.9.9+1-2) unstable; urgency=low



=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

include /usr/share/quilt/quilt.make

DEST_DIR=$(CURDIR)/debian/tmp/usr

#Use Maemo perl rather than scratchbox internal
SBOX_REDIRECT_IGNORE := /usr/bin/perl:$(SBOX_REDIRECT_IGNORE)
export SBOX_REDIRECT_IGNORE

PATH := /usr/bin:$(PATH)
export PATH

build: patch build-stamp
build-stamp:
	dh_testdir
	$(MAKE) PREFIX=/usr DATADIR=/usr/share/games LOCALEDIR=/usr/share/locale LIBDIR=/usr/lib/games BINDIR=/usr/games MANDIR=/usr/share/man OPTIMIZE="-O2 -Wall"
	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	[ ! -f Makefile ] || $(MAKE) clean
	rm -rf save_virgin
	dh_clean c_stuff/Makefile_c.old po/*.mo

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install PREFIX=$(DEST_DIR) DATADIR=$(DEST_DIR)/share/games LOCALEDIR=$(DEST_DIR)/share/locale LIBDIR=$(DEST_DIR)/lib/games BINDIR=$(DEST_DIR)/games MANDIR=$(DEST_DIR)/share/man INSTALLDIRS=vendor
	cd $(DEST_DIR)/share/locale && chmod 644 */LC_MESSAGES/*.mo
	dh_install
	mv debian/frozen-bubble/usr/bin/frozen-bubble.run debian/frozen-bubble/usr/bin/frozen-bubble
	mv debian/frozen-bubble/usr/share/icons/hicolor/scalable/hildon/frozen-bubble-icon-64x64.png debian/frozen-bubble/usr/share/icons/hicolor/scalable/hildon/frozen-bubble.png
	mv debian/frozen-bubble/usr/share/icons/hicolor/48x48/hildon/frozen-bubble-icon-48x48.png debian/frozen-bubble/usr/share/icons/hicolor/48x48/hildon/frozen-bubble.png
	uudecode debian/frozen-bubble-icon-26x26.png.uuencoded -o debian/frozen-bubble/usr/share/icons/hicolor/26x26/hildon/frozen-bubble.png

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_installexamples -i
	dh_installman -i
	dh_installchangelogs -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	#chmod 777 debian/frozen-bubble-data/usr/share/games/frozen-bubble
	#chmod -R 777 debian/frozen-bubble-data/usr/share/games/frozen-bubble/
	#chmod -R 777 debian/frozen-bubble-data/usr/share/games/frozen-bubble/*
	#chown -R 29999:0 debian/frozen-bubble-data/usr/share/games/frozen-bubble/
	#chown -R 29999:0 debian/frozen-bubble-data/usr/share/games/frozen-bubble/*
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
	dh_installexamples -a
	dh_installman -a
	dh_installchangelogs -a
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## frozen-bubble 2.2.0-1maemo3

=== debian/changelog ===
frozen-bubble (2.2.0-1maemo3) unstable; urgency=low

  * Changed SDLK_ESCAPE to SDLK_COMMA, the comma key will now act as an escape key.
  * Minor changes to package

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Thu, 24 Jun 2010 15:50:30 +0300

=== debian/control ===
Source: frozen-bubble
Section: games
Priority: extra
Original-Maintainer: Josselin Mouette <joss@debian.org>
Maintainer: Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>
Build-Depends: debhelper (>= 5), libsdl-perl (>= 1.20-8), perl (>= 5.8), libsdl1.2-dev (>= 1.2.4), libsdl-mixeroggwav1.2-dev, libsdl-pango-dev, libglib2.0-dev, dpkg-dev (>= 1.13.19), sharutils, quilt
Standards-Version: 3.8.0

Package: frozen-bubble
Section: user/games
Architecture: any
Depends: libsdl-perl (>= 1.20-8), perl (>= 5.8.3-3), ${shlibs:Depends}, frozen-bubble-data (= ${source:Version}), libvorbisidec1 (>= 1:1.2.0-1.svn20080906.tk1)
Replaces: frozen-bubble-lib
Description: Pop out the bubbles!
 Frozen-Bubble is a clone of the popular "Puzzle Bobble" game, in which
 you attempt to shoot bubbles into groups of the same color to cause them
 to pop. It features 100 single-player levels, a two-player mode, music
 and striking graphics.
 .
 This game is widely rumored to be responsible for delaying the Debian
 Woody release.
 .
 URL: http://www.frozen-bubble.org/
XB-Maemo-Display-Name: Frozen Bubble 2
XB-Maemo-Icon-26: 
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9kFHggWNcX7aNcAAAWbSURBVEjHvZbbi11XHcc/a+99zlzOOWmSsWma
 pDElbaFpo9SMYEEbRREaiqZIUYJWIcQKggi++OD/IOqbPviiCDUiCF6oiKXU
 Fk3rBNNJp6VxMmcm6cyZOZd9zr6u28+HfWYyl1TfXC97sy6/7/p91/d3Uc8x
 K/wfRrT5YzE4LKC2LQcoQkAh6LscV0CIIth2SqHGMwpQeEBVQBbDpy88w6mz
 ZxDvARCvsf13GKy+RbhQMPOlbyAEwJgAEXzZoVifZ9S/hbMa7zzGlIyGI1ba
 XTpzCs0MCqmAHJZTZ8/wuW8+u+O+vvcma29b3NBy7Onz2wmoRtYmW2myduM1
 sizGGUOeK7obKW46ozcnaGbG3IzdveOJBxEQcOEBgrDJ+92bvPCFk3z/4pMs
 z/957BFI1ELVWngP4sA7QZwgHggCVCPY+0Y7eFeK929e4zvfvsjfr8zxvQun
 +dVLbYQ2V69+kd+/fJ2wdQJRdaLJGeqTTZJ4HSdC0wzpOM90o4aI3vbau2EU
 iC35658uk3Tb9IeWH7+4wNOfOUUtglev5bzxym+qveEkglCbbCIiOFOy6lsA
 OLtTzMHdpGhMSXPCcv+9TXINcaLpdXsMUkgN3FpZYZM/FdQIggjvPcYY6srg
 xGGMQ6n/AVSf2keuZrj8l3/jBL77tU/QmlII8OB9EZ899+Vdd61ub60jy3Ly
 3JCMSnwuH/xGIoJC8dyFS0xMttDxe3z+TJOROs4P0ilOfeTjTO5/EPGVkaDW
 IAhCnLXoskAbS5oXDDol+HAvkOhiG5gnqLU4/5VLMHiDpSu/gNa9fOypr28p
 UykFRIhYBEFE0NqQpBmDuKC8oYlo7KauRvHL3yKLS6jgDptiYrLOuwy6t2m3
 FxEREBmDgHcFXid4q8nylFGaESc5y0sj1JpDdotBEVL+413M5YuQX0UFAV48
 Lr7B+tKbvHN9gYW//ZFs/b0q5uSOCXEFZT4izQp6ccpqJ6H8ZzFOT2ovdSpU
 REevw/wzcOAcIkfI2wsM516nnG9jCnj9Z5f45As/ZWL/CYjqKJ9h0g5Z0qfb
 i7m9kbAxlxD2fIUhu8QgCPUnDxMcLRGXQvd3hN7T8p5HT8JMrUVv4CkGr/L2
 j2Z54Oy3mHrkWaII0u5NVldXWFpcI0xSjk07VpQCBLc3e1umzs9CYw1lUwjq
 SAhqH4TKcrgWcEgLXk+gXUSx+HNuX3uR1BxgmOT0+xsclYRGy7NqhCpW5W5l
 IoBiCUINE/UqC9UAC5QeSSGYDPDOU29No1ydOO4RL68ySi2uVLQi8F4x3YwI
 HwZpG7wR8LvjKACmaxAYMMBUs6o1uo/KHGiHqkegArw22NKO00zARB3yEpwX
 SmP56vOfwijLv17TvPIHR4TalLeH6cch3Fe5fE8DPnQEZo5DY7qaC6pCJt6T
 dxOy1JBrodBCXlaBnmtPEdQ52J+iqGlCFW4ROAZyyOTjcPB5sBa8g9r90HgK
 Wvsr9QQB4qHsjdDDjDy1lBqsA+uEQa4Y5AGP7n+E5cMF9TTCersl8K3oVKLh
 4CWYPAdFH/IecBqah1D76hAF2NxRxJp45MkKQRuhMBBn0O8LM8c+zNTJBmpU
 UFhNXuqtWNqWVMdOHv8h+MeQwVtgryDhQQgBbfHW0Vm3JIlnfQjdssbqUGgP
 HIcePsGRo/ehtcdYS5JmFIXe6xE6r77hBDzwE1R+CNZ/jfKrqFChpKqeIHSG
 jpWeZaVbkFHjo7OnOfnEQ4jTZDpnMBrRjROGZTluUcaqCwmZf/kqqj419ksh
 /VlU+hLUFyFv4PoRccfQ7U3TGXiWBx6iGo898RCuew+LtxOGcUHXeSRTxFnI
 xq0QtWlxs6+r2q3dsRztKPGb2SvYlskcHkG22iy1o+mSMZC6YymiRkTtv7SA
 8gGNodrVC+7eX639B4YaIAfFo2CiAAAAAElFTkSuQmCC

Package: frozen-bubble-data
Architecture: all
Recommends: frozen-bubble
Provides: fb-music-low
Replaces: fb-music-low
Conflicts: fb-music-low, fb-music-high
Description: Data files for Frozen-Bubble
 Frozen-Bubble is a clone of the popular "Puzzle Bobble" game, featuring
 100 single-player levels and a two-player mode.
 .
 This package contains the sound files, graphics and levels for
 Frozen-Bubble.
 .
 This package also contains low-quality music for Frozen Bubble. The 8-bit 
 samples used don't sound as good as the 16-bit ones in fb-music-high, 
 but are about half the size.
 .
 URL: http://www.frozen-bubble.org/

=== debian/rules ===
--- 
+++ 
@@ -66,6 +66,7 @@
 	#chown -R 29999:0 debian/frozen-bubble-data/usr/share/games/frozen-bubble/*
 	dh_installdeb -i
 	dh_gencontrol -i
+	#maemo-optify
 	dh_md5sums -i
 	dh_builddeb -i

## frozen-bubble 2.2.0-1maemo4

=== debian/changelog ===
frozen-bubble (2.2.0-1maemo4) unstable; urgency=low

  * Added bugtracker link.

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Thu, 25 Jun 2010 15:52:04 +0300

=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
  .
  URL: http://www.frozen-bubble.org/
 XB-Maemo-Display-Name: Frozen Bubble 2
+XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=Frozen%20Bubble%202
 XB-Maemo-Icon-26: 
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c
  6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0

## frozen-bubble 2.2.0-1maemo4-1

=== debian/changelog ===
frozen-bubble (2.2.0-1maemo4-1) unstable; urgency=low

  * Reuploaded due to obvious reasons

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Thu, 05 Aug 2010 15:56:35 +0300

## frozen-bubble 2.2.0-1maemo5-1

=== debian/changelog ===
frozen-bubble (2.2.0-1maemo5-1) unstable; urgency=low

  * Depends on new perl-modules.

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Fri, 10 Sep 2010 21:52:29 +0300

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Package: frozen-bubble
 Section: user/games
 Architecture: any
-Depends: libsdl-perl (>= 1.20-8), perl (>= 5.8.3-3), ${shlibs:Depends}, frozen-bubble-data (= ${source:Version}), libvorbisidec1 (>= 1:1.2.0-1.svn20080906.tk1)
+Depends: libsdl-perl (>= 1.20-8), perl (>= 5.8.3-3), ${shlibs:Depends}, frozen-bubble-data (= ${source:Version}), libvorbisidec1 (>= 1:1.2.0-1.svn20080906.tk1), perl-modules (>= 5.8.3-3osso13+0m5)
 Replaces: frozen-bubble-lib
 Description: Pop out the bubbles!
  Frozen-Bubble is a clone of the popular "Puzzle Bobble" game, in which

## frozen-bubble 2.2.0-1maemo5-2

=== debian/changelog ===
frozen-bubble (2.2.0-1maemo5-2) unstable; urgency=low

  * Depends on new perl.

 -- Niels Breet <niels@maemo.org>  Wed, 15 Sep 2010 10:28:03 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Package: frozen-bubble
 Section: user/games
 Architecture: any
-Depends: libsdl-perl (>= 1.20-8), perl (>= 5.8.3-3), ${shlibs:Depends}, frozen-bubble-data (= ${source:Version}), libvorbisidec1 (>= 1:1.2.0-1.svn20080906.tk1), perl-modules (>= 5.8.3-3osso13+0m5)
+Depends: libsdl-perl (>= 1.20-8), perl (>= 5.8.3-3osso13+0m5), ${shlibs:Depends}, frozen-bubble-data (= ${source:Version}), libvorbisidec1 (>= 1:1.2.0-1.svn20080906.tk1)
 Replaces: frozen-bubble-lib
 Description: Pop out the bubbles!
  Frozen-Bubble is a clone of the popular "Puzzle Bobble" game, in which

## frozen-bubble 2.2.0-1maemo5-4

=== debian/changelog ===
frozen-bubble (2.2.0-1maemo5-4) unstable; urgency=low

  * removed install script

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Tue,  4 Sep 2012 10:09:48 -0400

frozen-bubble (2.2.0-1maemo5-3) unstable; urgency=low

  * fixed dependency, optified version

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Tue,  4 Sep 2012 09:41:50 -0400

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,7 @@
 
 include /usr/share/quilt/quilt.make
 
+DEB_BUILD_ARCH     ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 DEST_DIR=$(CURDIR)/debian/tmp/usr
 
 #Use Maemo perl rather than scratchbox internal
@@ -85,6 +86,9 @@
 	dh_installdeb -a
 	dh_shlibdeps -a
 	dh_gencontrol -a
+ifneq (,$(findstring armel,$(DEB_BUILD_ARCH)))
+	maemo-optify
+endif
 	dh_md5sums -a
 	dh_builddeb -a

## frozen-bubble 2.2.0-1maemo5-5

=== debian/changelog ===
frozen-bubble (2.2.0-1maemo5-5) unstable; urgency=low

  * optify package

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Tue,  4 Sep 2012 10:47:23 -0400

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,17 @@
 Priority: extra
 Original-Maintainer: Josselin Mouette <joss@debian.org>
 Maintainer: Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>
-Build-Depends: debhelper (>= 5), libsdl-perl (>= 1.20-8), perl (>= 5.8), libsdl1.2-dev (>= 1.2.4), libsdl-mixeroggwav1.2-dev, libsdl-pango-dev, libglib2.0-dev, dpkg-dev (>= 1.13.19), sharutils, quilt
+Build-Depends: debhelper (>= 5), libsdl-perl (>= 1.20-8), perl (>= 5.8), 
+ libsdl1.2-dev (>= 1.2.4), libsdl-mixeroggwav1.2-dev, libsdl-pango-dev, libglib2.0-dev, 
+ dpkg-dev (>= 1.13.19), sharutils, quilt, libglu1-mesa-dev
 Standards-Version: 3.8.0
 
 Package: frozen-bubble
 Section: user/games
 Architecture: any
-Depends: libsdl-perl (>= 1.20-8), perl (>= 5.8.3-3osso13+0m5), ${shlibs:Depends}, frozen-bubble-data (= ${source:Version}), libvorbisidec1 (>= 1:1.2.0-1.svn20080906.tk1)
+Depends: libsdl-perl (>= 1.20-8), perl (>= 5.8.3-3osso13+0m5), ${shlibs:Depends}, 
+ frozen-bubble-data (= ${source:Version}), libvorbisidec1 (>= 1:1.2.0-1.svn20080906.tk1),
+ libglu1-mesa | libgl1
 Replaces: frozen-bubble-lib
 Description: Pop out the bubbles!
  Frozen-Bubble is a clone of the popular "Puzzle Bobble" game, in which

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 include /usr/share/quilt/quilt.make
 
 DEB_BUILD_ARCH     ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
-DEST_DIR=$(CURDIR)/debian/tmp/usr
+DEST_DIR=$(CURDIR)/debian/tmp/opt/frozenbubble
 
 #Use Maemo perl rather than scratchbox internal
 SBOX_REDIRECT_IGNORE := /usr/bin/perl:$(SBOX_REDIRECT_IGNORE)
@@ -24,7 +24,7 @@
 build: patch build-stamp
 build-stamp:
 	dh_testdir
-	$(MAKE) PREFIX=/usr DATADIR=/usr/share/games LOCALEDIR=/usr/share/locale LIBDIR=/usr/lib/games BINDIR=/usr/games MANDIR=/usr/share/man OPTIMIZE="-O2 -Wall"
+	$(MAKE) PREFIX=/opt/frozenbubble DATADIR=/opt/frozenbubble/share/games LOCALEDIR=/opt/frozenbubble/share/locale LIBDIR=/usr/lib/games BINDIR=/usr/games MANDIR=/opt/frozenbubble/share/man OPTIMIZE="-O2 -Wall"
 	touch build-stamp
 
 clean: unpatch
@@ -40,7 +40,7 @@
 	dh_testroot
 	dh_clean -k
 	dh_installdirs
-	$(MAKE) install PREFIX=$(DEST_DIR) DATADIR=$(DEST_DIR)/share/games LOCALEDIR=$(DEST_DIR)/share/locale LIBDIR=$(DEST_DIR)/lib/games BINDIR=$(DEST_DIR)/games MANDIR=$(DEST_DIR)/share/man INSTALLDIRS=vendor
+	$(MAKE) install PREFIX=$(DEST_DIR) DATADIR=$(DEST_DIR)/share/games LOCALEDIR=$(DEST_DIR)/share/locale LIBDIR=/usr/lib/games BINDIR=$(DEST_DIR)/games MANDIR=$(DEST_DIR)/share/man INSTALLDIRS=vendor
 	cd $(DEST_DIR)/share/locale && chmod 644 */LC_MESSAGES/*.mo
 	dh_install
 	mv debian/frozen-bubble/usr/bin/frozen-bubble.run debian/frozen-bubble/usr/bin/frozen-bubble
@@ -87,7 +87,7 @@
 	dh_shlibdeps -a
 	dh_gencontrol -a
 ifneq (,$(findstring armel,$(DEB_BUILD_ARCH)))
-	maemo-optify
+#	maemo-optify
 endif
 	dh_md5sums -a
 	dh_builddeb -a

## frozen-bubble 2.212

=== debian/changelog ===
frozen-bubble (2.212-3ubuntu3) trusty; urgency=low

  * Rebuild for Perl 5.18.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Oct 2013 09:48:28 +0100

frozen-bubble (2.212-3ubuntu2) raring; urgency=low

  * disable-Werror.patch: Do not make all compiling warnings into errors.

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 06 Apr 2013 18:18:11 +0200

frozen-bubble (2.212-3ubuntu1) quantal; urgency=low

  * Resynchronize with Debian. (LP: #630762) Remaining changes:
    - Added basic information about gameplay and the level editor
      to the game description.
    - Removed 'woody' joke from the game description.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 24 Jun 2012 12:50:36 -0400

frozen-bubble (2.212-3) unstable; urgency=low

  * patch hard-code-share-dir-path: update config correctly for
    fb-server in /usr/lib/games (Closes: #677556)
  * new shorter-nick patch: makes lan nick length compatible with
    lan-server (Closes: #459666)
  * new kick-out-accelerometers patch: ignore accelerometers disguised
    as joystick (Closes: #664546). This should fix issues with weird behavior
    on laptop like high score going out too fast or bubble shooter stuck
    on one side of the screen.

 -- Dominique Dumont <dod@debian.org>  Thu, 21 Jun 2012 13:48:13 +0200

frozen-bubble (2.212-2) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Add Depends on libcompress-bzip2-perl.
    Thanks to Ingo Saitz and Bob Proulx for the reports
    (Closes: #662875, #662907)

 -- Dominique Dumont <dod@debian.org>  Fri, 09 Mar 2012 14:15:30 +0100

frozen-bubble (2.212-1) unstable; urgency=low

  [ Josselin Mouette ]

  * New upstream pre-release.
    + Fixes level editor glitch. Closes: #462632.
  * Update to 3.0 quilt format, split changes in patches.
  * Standards version is 3.9.2.
  * Add VCS URLs.
  * Wrap (build-)dependencies.
  * Add homepage. Closes: #587622.
  * Bump sdlperl dependencies.
  * Fix desktop file. Closes: #638954.
  * Drop fb-music-low, now everything is in OGG format.
  * Build-depend on libfile-slurp-perl and libipc-system-simple-perl.

  [ Dominique Dumont ]

  * Thanks to Josselin for taking care of frozen-bubble for years. This
    game is now handled by debian-perl team (Closes: #660354)
  * fix installation paths
  * added patch to hard code installation directories in Debian instead
    of relying on File::ShareDir
  + control: added section and priority
  + Build-depends on libalien-sdl-dev-perl
  + Depends on libalien-sdl-perl
  + added /me to uploader. Removed Joss who is welcome to add himself back.

 -- Dominique Dumont <dod@debian.org>  Tue, 06 Mar 2012 13:16:43 +0100

frozen-bubble (2.2.0-2) unstable; urgency=low

  * Add missing dependency on liblocale-gettext-perl. Closes: #540788.

 -- Josselin Mouette <joss@debian.org>  Sun, 03 Oct 2010 21:14:24 +0200

=== debian/control ===
Source: frozen-bubble
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Dominique Dumont <dod@debian.org>
Section: games
Priority: extra
Build-Depends: debhelper (>= 9),
               libalien-sdl-dev-perl,
               libcompress-bzip2-perl,
               libfile-slurp-perl,
               libipc-system-simple-perl,
               liblocale-maketext-lexicon-perl,
               libsdl-perl (>= 2.511),
               perl
Standards-Version: 3.9.3
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/frozen-bubble.git
Vcs-Git: git://git.debian.org/git/pkg-perl/packages/frozen-bubble.git
Homepage: http://www.frozen-bubble.org/

Package: frozen-bubble
Architecture: any
Depends: ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends},
         frozen-bubble-data (= ${source:Version}),
         libalien-sdl-perl (>= 1.430-4),
         libcompress-bzip2-perl,
         liblocale-gettext-perl,
         libsdl-perl (>= 2.511)
Replaces: frozen-bubble-lib
Description: cool game where you pop out the bubbles!
 Frozen-Bubble is a clone of the popular "Puzzle Bobble" game, in which
 you attempt to shoot bubbles into groups of the same color to cause them
 to pop.
 .
 Players compete as penguins and must use the arrow keys to aim a
 colored bubble at groups of bubbles. The objective is to clear all the
 bubbles off the screen before a bubble passes below a line at the bottom.
 .
 It features 100 single-player levels, a two-player mode, music
 and striking graphics. A level editor is also included to allow
 players to create and play their own levels.

Package: frozen-bubble-data
Architecture: all
Depends: ${misc:Depends}
Recommends: frozen-bubble
Description: Data files for Frozen-Bubble game
 Frozen-Bubble is a clone of the popular "Puzzle Bobble" game, featuring
 100 single-player levels and a two-player mode.
 .
 This package contains the sound files, graphics and levels for
 Frozen-Bubble.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

DEST_DIR=$(CURDIR)/debian/tmp/usr

%:
	dh $@

override_dh_install: 
	# remove man page with not really interesting doc
	for i in Net MDKCommon LevelEditor Stuff ; do \
		rm $(DEST_DIR)/share/man/man3/Games::FrozenBubble::$$i.3pm* ; \
	done
	dh_install
#	#$(MAKE) install PREFIX=$(DEST_DIR) DATADIR=$(DEST_DIR)/share/games LOCALEDIR=$(DEST_DIR)/share/locale LIBDIR=$(DEST_DIR)/lib/games BINDIR=$(DEST_DIR)/games MANDIR=$(DEST_DIR)/share/man INSTALLDIRS=vendor
#	#cd $(DEST_DIR)/share/locale && chmod 644 */LC_MESSAGES/*.mo
#	mkdir $(DEST_DIR)/games
#	dh_install
#	cd $(DEST_DIR)/share/icons && \
#		for i in frozen-bubble-icon-*.png; do \
#		  size=$${i%.png}; size=$${size#frozen-bubble-icon-}; \
#		  dirname=../../debian/frozen-bubble/usr/share/icons/hicolor/"$$size"/apps; \
#		  mkdir -p $$dirname; \
#		  cp "$$i" $$dirname/frozen-bubble.png; \
#		done

=== debian/watch ===
version=3
http://search.cpan.org/dist/Games-FrozenBubble/   .*/Games-FrozenBubble-v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$
